<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Bladeburner](./bitburner.bladeburner.md) &gt; [getSkillUpgradeCost](./bitburner.bladeburner.getskillupgradecost.md)

## Bladeburner.getSkillUpgradeCost() method

Get cost to upgrade skill.

**Signature:**

```typescript
getSkillUpgradeCost(skillName: BladeburnerSkillName, count?: number): number;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  skillName | [BladeburnerSkillName](./bitburner.bladeburnerskillname.md) | Name of skill. Case-sensitive and must be an exact match. |
|  count | number | _(Optional)_ Number of times to upgrade the skill. Defaults to 1 if not specified. |

**Returns:**

number

Number of skill points needed to upgrade the specified skill.

## Remarks

RAM cost: 4 GB

This function returns the number of skill points needed to upgrade the specified skill the specified number of times.

The function may return 0 or Infinity in special cases:

- Return 0 if the current skill level is too high and the specified count is too small. In normal situations, you don't need to worry about this case. It only happens when involved numbers surpass Number.MAX\_SAFE\_INTEGER and be affected by the floating-point inaccuracy.

- Return Infinity if the sum of the current level and count exceeds the maximum level.

[skillMaxUpgradeCount](./bitburner.bladeburnerformulas.skillmaxupgradecount.md) is the inverse function of this one.

